Bug 800079 - Provide API and implementation to query submissions using a page size and age
Provide API and implementation to query submissions using a page size and age
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary (Show other bugs)
Development
All Linux
medium Severity high
: 2.3
: ---
Assigned To: Pete MacKinnon
Martin Kudlej
: FutureFeature
Depends On:
Blocks: 805347
  Show dependency treegraph
 
Reported: 2012-03-05 12:29 EST by Pete MacKinnon
Modified: 2013-03-06 13:42 EST (History)
6 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.1
Doc Type: Enhancement
Doc Text:
Release Note: This release of Grid introduces a new capability in the Aviary package for collecting submission ids from a Query Server using a page size and offset. This feature was designed for two purposes: 1) help Aviary clients such as Cumin to manage large submission sets at increasing scale 2) enable an Aviary client to query for new submissions from a point-in-time (i.e., from the latest submission it knows about) In QMF, new submission objects become available in the QMF object space as they are created. Aviary and its use of SOAP requires a pull model to gather information about these new submissions. Also, if Cumin is brought on-line in an existing Grid deployment but with an empty database for submissions, it may need a way to incrementally load older submissions using a background thread. Once a submission ID is collected, the details of that submission can be retrieved by the Aviary getSubmissionSummary operation. The BEFORE/AFTER mode is optional which means that results will instead be returned in lexical order.
Story Points: ---
Clone Of:
: 805347 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2012-03-05 12:29:00 EST
This feature will extend the existing Aviary query WSDL/XSD to add an operation to retrieve submission summaries using a typed search mode:

1) before an epoch qdate
2) after an epoch qdate
3) lexical order

All results will be bounded by an argument that specifies the desired page size (results returned).

Unlike the batch operation getSubmissionSummary where a client can target specific submissions, this feature is targeted towards a client like cumin who has to consume submission data at varying degrees of scale, as well as be updated when new submissions appear after a certain point in time (i.e., the last youngest submission obtained by the client).
Comment 1 Pete MacKinnon 2012-03-05 13:23:19 EST
Further clarification: the new operation will return submissions IDs which then can be expanded into summaries using the existing getSubmissionSummary.
Comment 2 Martin Kudlej 2012-04-04 11:56:58 EDT
How can we test this, please?
Comment 5 Pete MacKinnon 2012-05-08 08:58:10 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Release Note:

This release of Grid introduces a new capability in the Aviary package for collecting submission ids from a Query Server using a page size and offset. This feature was designed for two purposes:

1) help Aviary clients such as Cumin to manage large submission sets at increasing scale
2) enable an Aviary client to query for new submissions from a point-in-time (i.e., from the latest submission it knows about)

In QMF, new submission objects become available in the QMF object space as they are created. Aviary and its use of SOAP requires a pull model to gather information about these new submissions. Also, if Cumin is brought on-line in an existing Grid deployment but with an empty database for submissions, it may need a way to incrementally load older submissions using a background thread. Once a submission ID is collected, the details of that submission can be retrieved by the Aviary getSubmissionSummary operation. The BEFORE/AFTER mode is optional which means that results will instead be returned in lexical order.
Comment 8 Martin Kudlej 2012-12-20 08:56:48 EST
Tested on RHEL 5.9/6.4 x x86_64/i386 with
condor-7.8.7-0.6.el6_3.x86_64
condor-aviary-7.8.7-0.6.el6_3.x86_64
condor-classads-7.8.7-0.6.el6_3.x86_64
condor-wallaby-base-db-1.25-1.el6_3.noarch
condor-wallaby-client-5.0.4-1.el6_3.noarch
condor-wallaby-tools-5.0.4-1.el6_3.noarch
python-condorutils-1.5-6.el6.noarch
python-qpid-0.18-4.el6.noarch
python-qpid-qmf-0.18-12.el6_3.x86_64
python-wallabyclient-5.0.4-1.el6_3.noarch
qpid-cpp-client-0.18-12.el6_3.x86_64
qpid-cpp-server-0.18-12.el6_3.x86_64
qpid-qmf-0.18-12.el6_3.x86_64
qpid-tools-0.18-7.el6_3.noarch
ruby-condor-wallaby-5.0.4-1.el6_3.noarch
ruby-qpid-qmf-0.18-12.el6_3.x86_64
ruby-wallaby-0.16.1-2.el6.noarch
wallaby-0.16.1-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch

and it works. -->
Comment 10 errata-xmlrpc 2013-03-06 13:42:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.